<!DOCTYPE html>
<!-- FIX durch das anlegen der Datei nach der benötigten Referenz. Wenn das Script gelesen wird
existiert dieses Element schon -->
<html>
	<head>
		<meta charset="UTF-8">
		<title> JS can find element </title>
		
	</head>
	<body>
		<p id="text">-</p>
		<br>
		<p style="color: green;">p#text kann gefunden werden, da das Script, welches darauf zugreift, nach der erstellung des Elements aufgerufen wird</p>
		<script type="text/javascript">
			try{
				document.getElementById("text").innerHTML = "Text override works!";
			}
			catch(e){
				console.error(e);
				alert("Konnte Element nicht überschreiben. Siehe Console");
			}
		</script>
	</body>
	
</html>